import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (s, e, i, a) => {
  for (var t = a > 1 ? void 0 : a ? g(e, i) : e, o = s.length - 1, r; o >= 0; o--)
    (r = s[o]) && (t = (a ? r(e, i, t) : r(t)) || t);
  return a && t && m(e, i, t), t;
};
let l = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--catalonia", this.class = "c-pieIcon c-pieIcon--catalonia", this.name = "IconFlagCatalonia";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--catalonia"><path fill="#DA121A" d="M15 8A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z"></path><path fill="#FCDD09" d="M14.963 8.722a7.063 7.063 0 0 0-.012-1.555H1.05a7.112 7.112 0 0 0-.012 1.555h13.926Z"></path><path fill="#FCDD09" d="M14.621 10.278H1.38c.19.553.447 1.075.763 1.555h11.716c.316-.48.573-1.002.763-1.555Z"></path><path fill="#FCDD09" d="M12.468 13.389H3.532A6.97 6.97 0 0 0 8 15a6.97 6.97 0 0 0 4.468-1.611Z"></path><path fill="#FCDD09" d="M1.418 5.611h13.164a6.98 6.98 0 0 0-.798-1.555H2.216a6.98 6.98 0 0 0-.798 1.555Z"></path><path fill="#FCDD09" d="M3.669 2.5h8.662A6.972 6.972 0 0 0 8 1c-1.635 0-3.14.56-4.331 1.5Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], l.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = p([
  f("icon-flag-catalonia")
], l);
export {
  l as IconFlagCatalonia
};
